### Method

# Gtk Box set_baseline_position

#### Declaration [src]

    void
    gtk_box_set_baseline_position (
      GtkBox* box,
      GtkBaselinePosition position
    )

#### Description [src]

Sets the baseline position of a box.

This affects only horizontal boxes with at least one baseline aligned child. If there is more vertical space available than requested, and the baseline is not allocated by the parent then `position` is used to allocate the baseline with respect to the extra space available.

Sets property | `Gtk.Box:baseline-position`

#### Parameters

`position`

  Type: `GtkBaselinePosition`

  The baseline position.